Skip to main content
Create Domain
curl --request POST \
  --url https://{tenant_name}.{region}.techwolf.ai/taxonomy/domains \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "external_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
  "domain_name": "IT & Engineering"
}
'
[
  {
    "title": "400 Bad Request",
    "description": "The request body was not structured correctly."
  }
]

Documentation Index

Fetch the complete documentation index at: https://developers.techwolf.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

Default structure for Domain.

external_id
string<uuid>
required

The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.

Required string length: 1 - 100
Pattern: [a-zA-Z0-9_-]+
Example:

"a3903505-eb84-42dc-a79f-5e7b1fe897b7"

domain_name
string
required

Name of the Domain.

Required string length: 1 - 255
Example:

"IT & Engineering"

Response

No Content